package com.dgtly.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dgtly.system.mapper.SysThemeInfoMapper;
import com.dgtly.system.domain.SysThemeInfo;
import com.dgtly.system.service.ISysThemeInfoService;
import com.dgtly.common.core.text.Convert;

/**
 * 【请填写功能名称】Service业务层处理
 * 
 * @author dgtly
 * @date 2019-11-05
 */
@Service
public class SysThemeInfoServiceImpl implements ISysThemeInfoService 
{
    @Autowired
    private SysThemeInfoMapper sysThemeInfoMapper;

    /**
     * 根据用户id查询
     * 
     * @param userId 用户Id
     * @return 【请填写功能名称】
     */
    @Override
    public SysThemeInfo selectSysThemeInfoByUserId(Long userId)
    {
        return sysThemeInfoMapper.selectSysThemeInfoByUserId(userId);
    }


    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    @Override
    public SysThemeInfo selectSysThemeInfoById(Long id)
    {
        return sysThemeInfoMapper.selectSysThemeInfoById(id);
    }

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<SysThemeInfo> selectSysThemeInfoList(SysThemeInfo sysThemeInfo)
    {
        return sysThemeInfoMapper.selectSysThemeInfoList(sysThemeInfo);
    }

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertSysThemeInfo(SysThemeInfo sysThemeInfo)
    {
        return sysThemeInfoMapper.insertSysThemeInfo(sysThemeInfo);
    }

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateSysThemeInfo(SysThemeInfo sysThemeInfo)
    {
        return sysThemeInfoMapper.updateSysThemeInfo(sysThemeInfo);
    }

    /**
     * 删除【请填写功能名称】对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteSysThemeInfoByIds(String ids)
    {
        return sysThemeInfoMapper.deleteSysThemeInfoByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除【请填写功能名称】信息
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    @Override
    public int deleteSysThemeInfoById(Long id)
    {
        return sysThemeInfoMapper.deleteSysThemeInfoById(id);
    }
}
